# Uses of Class
org.apache.avro.SchemaBuilder.NullDefault

Packages that use SchemaBuilder.NullDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.NullDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.NullDefault
Modifier and Type
Method
Description
`final SchemaBuilder.NullDefault<R>`
SchemaBuilder.BaseFieldTypeBuilder.`nullType()`
A plain null type without custom properties.
Methods in org.apache.avro that return types with arguments of type SchemaBuilder.NullDefault
Modifier and Type
Method
Description
`final SchemaBuilder.NullBuilder<SchemaBuilder.NullDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`nullBuilder()`
Build a null type that can set custom properties.
`SchemaBuilder.NullBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.NullDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`nullBuilder()`
Build a null type that can set custom properties.
`SchemaBuilder.UnionAccumulator<SchemaBuilder.NullDefault<R>>`
SchemaBuilder.UnionFieldTypeBuilder.`nullType()`
A plain null type without custom properties.